
TYPO3.Neos - Bug # 31205

Status: Closed Priority: Could have
Author: Andrew Jones Category: Frontend
Created: 2011-10-23 Assigned To: Andrew Jones
Updated: 2012-05-10 Due date:
Subject: TYPO3\TYPO3CR\Exception\NodeException thrown in file 

TYPO3_TYPO3CR_Domain_Model_Node_Original.php
Description

The security context is not yet intialized, thus the Node "/sites/phoenixdemotypo3org/homepage/adminpage" cannot determine if it is
accessible. Some code part is calling isAccessible() early than is possible at that initialization stage.
20 TYPO3\TYPO3CR\Domain\Model\Node_Original::isAccessible()

19 TYPO3\TYPO3\Controller\Frontend\NodeController_Original::showAction(TYPO3\TYPO3CR\Domain\Model\Node)

18 call_user_func_array(array, array)

17 TYPO3\FLOW3\MVC\Controller\ActionController_Original::callActionMethod()

16 TYPO3\FLOW3\MVC\Controller\ActionController_Original::processRequest(TYPO3\FLOW3\MVC\Web\Request,
TYPO3\FLOW3\MVC\Web\Response)

15 TYPO3\FLOW3\MVC\Dispatcher_Original::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)

14 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)

13 call_user_func_array(array, array)

12 TYPO3\FLOW3\MVC\Dispatcher::FLOW3_AOP_Proxy_invokeJoinPoint(TYPO3\FLOW3\AOP\JoinPoint)

11 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)

10
TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::setAccessDeniedResponseHeader(TYPO3\FLOW3\AOP\JoinPoi
oint)

9 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)

8 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)

7
TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TY
YPO3\FLOW3\AOP\JoinPoint)

6 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)

5 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)

4 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)

3 TYPO3\FLOW3\MVC\Web\RequestHandler_Original::handleRequest()

2015-08-03 1/2



2 TYPO3\FLOW3\Core\Bootstrap::handleWebRequest()

1 TYPO3\FLOW3\Core\Bootstrap::run()

Please include more helpful information!

History
#1 - 2011-10-23 21:37 - Andrew Jones

I think this is probably Flow3 rather than Typo3 related. If not please move it to the Typo3 issue queue. Thanks.

#2 - 2011-11-01 22:41 - Christian Müller
- Project changed from TYPO3.Flow to TYPO3.TYPO3CR
- Category deleted (- Error Handler Report -)

#3 - 2011-11-07 10:14 - Sebastian Kurfuerst
- Project changed from TYPO3.TYPO3CR to TYPO3.Neos

#4 - 2011-11-07 10:14 - Sebastian Kurfuerst
- Category set to Frontend

#5 - 2011-11-07 10:14 - Sebastian Kurfuerst

This is somehow rendering related; though I don't yet understand in which circumstances this error occurs. For me, everything works.

#6 - 2012-05-10 15:40 - Karsten Dambekalns
- Status changed from New to Closed

Thanks for your report.

This is now too old and has not been reproduced, thus I'll close it.

If the issue persiste for you, feel free to reopen it.
